Package org.opensaml.soap.common

# Interface SOAPObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Body`, `Detail`, `Envelope`, `Fault`, `FaultActor`, `FaultCode`, `FaultString`, `Header`

All Known Implementing Classes:
  `AbstractExtensibleSOAPObject`, `BodyImpl`, `DetailImpl`, `EnvelopeImpl`, `FaultActorImpl`, `FaultCodeImpl`, `FaultImpl`, `FaultStringImpl`, `HeaderImpl`

public interface SOAPObject extends XMLObject
Base interface for all SOAP objects.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`